gsm341_ms_message Struct Reference

`#include <gsm_03_41.h>`

## Data Fields

struct {
uint8_t gs:2
uint8_t code_hi:6
uint8_t code_lo:4
uint8_t update:4
} | serial
uint16_t | msg_id
struct {
uint8_t group:4
uint8_t language:4
} | dcs
struct {
uint8_t current:4
uint8_t total:4
} | page
uint8_t | data [0]

## Field Documentation

## code_hi

uint8_t gsm341_ms_message::code_hi

Referenced by gsm0341_build_msg().

## code_lo

uint8_t gsm341_ms_message::code_lo

Referenced by gsm0341_build_msg().

## current

uint8_t gsm341_ms_message::current

Referenced by gsm0341_build_msg().

## data

uint8_t gsm341_ms_message::data[0]

Referenced by gsm0341_build_msg().

## dcs

struct { ... } gsm341_ms_message::dcs

Referenced by gsm0341_build_msg().

## group

uint8_t gsm341_ms_message::group

Referenced by gsm0341_build_msg().

## gs

uint8_t gsm341_ms_message::gs

Referenced by gsm0341_build_msg().

## language

uint8_t gsm341_ms_message::language

Referenced by gsm0341_build_msg().

## msg_id

uint16_t gsm341_ms_message::msg_id

Referenced by gsm0341_build_msg().

## page

struct { ... } gsm341_ms_message::page

Referenced by gsm0341_build_msg().

## serial

struct { ... } gsm341_ms_message::serial

Referenced by gsm0341_build_msg().

## total

uint8_t gsm341_ms_message::total

Referenced by gsm0341_build_msg().

## update

uint8_t gsm341_ms_message::update

Referenced by gsm0341_build_msg().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_03_41.h